Bug 1110823 - Review Request: perl-generators - Perl dependencies generators
Summary: Review Request: perl-generators - Perl dependencies generators
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-18 14:05 UTC by Jitka Plesnikova
Modified: 2016-07-10 02:20 UTC (History)
4 users (show)

Fixed In Version: perl-generators-1.00-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-09 20:18:35 UTC
Type: ---
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jitka Plesnikova 2014-06-18 14:05:02 UTC
Spec URL: http://jplesnik.fedorapeople.org/perl-generators/perl-generators.spec
SRPM URL: http://jplesnik.fedorapeople.org/perl-generators/perl-generators-1.00-1.fc21.src.rpm
Description: This package provides Perl generators which are used for getting provides and requires from Perl binaries and modules.

Fedora Account System Username: jplesnik

The files perl.[prov|req] and perl[|lib].attr will be removed from rpm-build before publishing .

Comment 1 Petr Šabata 2014-06-19 10:40:02 UTC
The perl.prov and perl.req scripts headers should be updated not to refer to rpm and its packaging now that they're standalone components.  The headers also imply the license text is present in the package whereas it's not.

Also, both scripts are licensed under GPL with no version declared; the package License should be `GPL+'.

And finally, consider using `install -p' instead of `cp' on line 37.

Comment 2 Petr Pisar 2014-06-19 11:01:54 UTC
I would prefer the package summary clearly states that this package is about RPM generators (Perl RPM dependencies generators).

Comment 3 Jitka Plesnikova 2014-06-25 11:26:29 UTC
Updated. Links are the same.

Comment 4 Petr Šabata 2014-06-25 11:41:02 UTC
I would put it the other way around, `RPM Perl dependencies'.
Also, there's a trailing space on the License line.

Anyhow, the reported issues are fixed; approving.

Comment 5 Jitka Plesnikova 2014-06-25 12:14:42 UTC
New Package SCM Request
=======================
Package Name: perl-generators
Short Description: RPM Perl dependencies generators
Upstream URL: http://jplesnik.fedorapeople.org/generators
Owners: jplesnik ppisar psabata
Branches:
InitialCC: perl-sig

Comment 6 Gwyn Ciesla 2014-06-25 12:46:09 UTC
Git done (by process-git-requests).

Comment 7 Jitka Plesnikova 2014-06-25 13:19:48 UTC
Thank you for the review and the repository.

Comment 8 Orion Poplawski 2016-06-17 19:57:00 UTC
Can we get an empty package in EPEL that requires rpm-build?

Comment 9 Petr Pisar 2016-06-20 07:47:00 UTC
We can. I will do it.

Comment 10 Fedora Update System 2016-06-22 12:04:35 UTC
perl-generators-1.08-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-99a514bd17

Comment 11 Fedora Update System 2016-06-22 12:04:44 UTC
perl-generators-1.08-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8e1dae0f9c

Comment 12 Fedora Update System 2016-06-22 12:04:54 UTC
perl-generators-1.08-4.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4b6ed19b8b

Comment 13 Fedora Update System 2016-06-22 22:15:48 UTC
perl-generators-1.08-4.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4b6ed19b8b

Comment 14 Fedora Update System 2016-06-22 22:19:18 UTC
perl-generators-1.08-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8e1dae0f9c

Comment 15 Fedora Update System 2016-06-22 22:19:30 UTC
perl-generators-1.08-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-99a514bd17

Comment 16 Fedora Update System 2016-07-09 20:18:32 UTC
perl-generators-1.08-4.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-07-09 23:18:03 UTC
perl-generators-1.08-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-07-10 02:20:54 UTC
perl-generators-1.08-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.